/*
 * 文 件 名:  DateServiceImpl
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/6/9
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.service.impl;

import com.huashe.common.domain.model.DateAttr;
import com.huashe.common.domain.model.Holiday;
import com.huashe.common.utils.DateUtils;
import com.ruoyi.ems.mapper.AdmDateAttrMapper;
import com.ruoyi.ems.service.IDateService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 日期服务
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/6/9]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Service
public class DateServiceImpl implements IDateService {
    @Autowired
    private AdmDateAttrMapper dateAttrMapper;

    @Override
    public int deleteByYear(String year) {
        return dateAttrMapper.deleteByYear(year);
    }

    @Override
    public int insertBatch(List<DateAttr> list) {
        return dateAttrMapper.insertBatch(list);
    }

    @Override
    public DateAttr getDateAttr(String dateStr) {
        return dateAttrMapper.selectByDate(dateStr);
    }

    @Override
    public List<DateAttr> getDateAttr(String startDateStr, String endDateStr) {
        return dateAttrMapper.selectBetween(startDateStr, endDateStr);
    }
}